#ifndef PHP_JABBER_FUNC_H
#define PHP_JABBER_FUNC_H

typedef struct php_packet_struct
{
  pool p;
  char *script;
  char *packet;
  int len;
  int type;  /* 0-unknown, 1-message, 2-presence, 3-iq, 4-s10n */
  int subtype;
  char *to;
  char *from;
  char *arg1;
  char *arg2;
} *php_packet, _php_packet;

/*

type = 1 MESSAGE
    sybtype==1 => chat
	arg1 => body
	arg2 => xhtml body

type =2  PRESENCE
    subtype  ( 1- available, 2 - unavailable, 3- probe, 4 - invisible, 0 -error )
	arg1 - show
	arg2 - status

type = 3 IQ
  subtype (1 - get, 2 - set, 3 - result )

type = 4 s10n
  subtype ( 1 - subscribe, 2 subscribed, 3 - unsubscribr, 4 unsubscribed )

*/

void	jabber_php_shutdown(void);
void	jabber_php_init(void);
void	jabber_php_add_thread(void);
void 	jabber_php_queue_packet(php_packet pp);
#endif
